Bug 226989 - Crash during package update
Summary: Crash during package update
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 6
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 14:02 UTC by Jerry Muller
Modified: 2014-01-21 22:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 19:09:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash dump produced automatically (1.58 KB, application/octet-stream)
2007-02-02 14:02 UTC, Jerry Muller
no flags Details

Description Jerry Muller 2007-02-02 14:02:52 UTC
Description of problem:

Crash during package update


Version-Release number of selected component (if applicable):

Unknown


How reproducible:

I haven't tried. I'll attach the dump file


Steps to Reproduce:
1. click on update packages
2. click on apply updates
3. Crash occurs
  
Actual results:


Expected results:


Additional info:

Comment 1 Jerry Muller 2007-02-02 14:02:52 UTC
Created attachment 147223 [details]
crash dump produced automatically

Comment 2 Jerry Muller 2007-02-02 16:48:29 UTC
Here's the message from the package updater:

Component: Software Updater
Summary: TBccefa5c9 yumRepo.py:426:__get:RepoError: failure:
mesa-libGL-devel-6.5.1-9.fc6.i386.rpm from updates: [Errno 256] No more mirrors
to try.

Traceback (most recent call last):
  File "/usr/sbin/pup", line 433, in _apply
    self.applyChanges(self.mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 559, in
applyChanges
    self.checkDeps(mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 324, in checkDeps
    self.populateTs(keepold=0)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 150, in populateTs
    self.downloadHeader(txmbr.po)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 760, in
downloadHeader
    cache=repo.http_caching != 'none',
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 454, in getHeader
    cache=cache,
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 426, in __get
    raise Errors.RepoError, "failure: %s from %s: %s" % (relative, self.id, e)
RepoError: failure: mesa-libGL-devel-6.5.1-9.fc6.i386.rpm from updates: [Errno
256] No more mirrors to try.

Local variables in innermost frame:
e: [Errno 256] No more mirrors to try.
start: 440
url: None
text: None
self: updates
cache: True
reget: None
relative: mesa-libGL-devel-6.5.1-9.fc6.i386.rpm
headers: ()
checkfunc: (<bound method PackageUpdater.verifyHeader of
<__main__.PackageUpdater object at 0xa1e19ec>>,
(<yum.sqlitesack.YumAvailablePackageSqlite object at 0xb3798ac>, 1), {})
copy_local: 1
end: 72849
local: //var/cache/yum/updates/headers/mesa-libGL-devel-6.5.1-9.fc6.i386.hdr


Comment 3 Jeremy Katz 2007-02-05 20:51:19 UTC
Does this still occur?  

Comment 4 Jerry Muller 2007-02-05 21:10:42 UTC
Jeremy,

As of a few minutes ago, It's still failing. The number of updates has increased.

If I select all of them, it fails on the "clips" update. I deselected clips and
left everything else selected and it failed on the "bind" update.

Now the bind update is missing from the list and the update seems to hang.

BTW, I can take phone calls at 603-889-4332 (Eastern Time Zone, 6AM to 10PM)

Jeremy Muller






Comment 5 Jerry Muller 2007-02-09 11:46:54 UTC
Jeremy,

I went through all the updates in the list individually and found the ones that
worked and the ones that failed. Here are the ones that failed:

alsa-lib
alsa-utils
audit-libs
bind
boost
bug-buddy
bzip2
chmlib
claws-mail
clips
cups
geda-gattrib
genius
gphoto2
gpm
gstreamer-plugins-good
gtkwave
highlight
jd
kpolynome
libX11
logrotate
mesa
nqc
ntp
pan
pcb
policycoreutils
postgresql
procps
python-imaging
readahead
rpmlint
rrdtool
selinux-policy
squid
srecord
vim
xchat-gnome
xcircuit
xorg-x11-server
xterm
xtide

Here at the ones that worked OK:

files
Firefox
geda-gschem
psacct
thunderbird


Jeremy Muller


Comment 6 Bug Zapper 2008-04-04 06:04:53 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 7 Bug Zapper 2008-05-06 19:09:27 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.